/*!
Theme Name: Blocksy Child
Theme URI: https://www.webrs.nl
Template: blocksy
Author: WEBRS
Author URI: https://www.webrs.nl
Description: A custom child theme for Fairtrade Palestine
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: blocksy-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
header#header{
    position: sticky !important; /* Sticky positie */
    top: 0 !important; /* Plakt aan de bovenkant */
    z-index: 1000 !important; /* Zorgt ervoor dat de header boven andere elementen blijft */
}

.ct-header-text {
	text-transform: uppercase !important;
	font-size: 11px !important;
  	letter-spacing: 1px !important;
}

h1.page-title{
	background: #000;
	color: #fff;
	width: fit-content;
	text-align: center;
	margin: 0 auto; 
	padding: 5px 20px;
	font-size: 3em;
}

body.archive .product {margin-bottom: 3em !important;}


.wpcf7 form .wpcf7-response-output{
  font-family: Rubik, Sans-Serif;
  font-style: normal;
  display: table;
  padding: 20px 40px;
  margin-left: 0;
  font-weight: bold;
}

.wpcf7 form.sent .wpcf7-response-output{
		border-color: #46b450;
   font-style: normal;
  background: #46b450;
  color: #fff;
 }
.wpcf7 form.invalid .wpcf7-response-output{
		border-color: #ffb900;
   font-style: normal;
  background: #ffb900;
  color: #fff;
 }


			.wpcf7-not-valid {
			    border: 1px solid #f00 !important;
			    background-color: #fff8f8 !important;
			}

			.wpcf7-not-valid-tip {
			    color: #f00;
			    font-size: 12px;
			    display: block;
			    margin-top: 5px;
			}

.wpcf7 .wpcf7-submit {
  float: left;
  font-size: 18px;
  text-transform: uppercase;
}


.page-id-15 nav.ct-breadcrumbs .last-item{color: #fff}


.term-palestijnse-keramiek li.wc-block-product-categories-list-item:nth-child(8){
	background: #dd0039 ;
	border:1px #dd0039 solid;
	color: #fff;
}

li.wc-block-product-categories-list-item a:hover {
	font-weight: bold; 
}


.add_to_cart_button,
.added_to_cart,
a.button.product_type_variable,
a.button.product_type_simple {
	width: 100% !important;
	font-size: 14px !important;
  line-height: 17px !important;
}

#google-business-reviews-rating .heading,
#google-business-reviews-rating .vicinity{display: none;}

.gmbrr > .rating { 
  margin: 0 auto;
  text-align: center;
  padding: .5em 1em 1em 1em;
}

.category-section-separator{display: none;}

.post-type-archive-product .category-section-separator{display: block;}



.stk-e9252ad > p:nth-child(1) > span:nth-child(1),
.stk-ddgasr2 > p:nth-child(2) > span:nth-child(1),
.wp-block-stackable-text p.has-text-align-center span{
	background: #358043;
	padding: 5px 10px;
	color: #fff;
}

.wdgk_donation_content a.button.wdgk_add_donation{
	width: 100% !important;
	border: 1px #000 solid !important;
	background: transparent !important;
	color: #000  !important;
	margin-bottom: 20px !important;
	font-size: 13px !important;
	margin-top: 10px !important;
	padding-top: 12px !important;
}
.wdgk_donation_content h3 {
  padding-bottom: 0;
  font-size: 21px;
}

ul.wc-block-product-categories-list{
	margin: 0 auto;
  text-align: center;
  position: relative;
  display: block;
  width: 100%;
}

li.wc-block-product-categories-list-item{
  display: block !important;
  float: left;
  width: 31%; 
  border: 1px solid white;
  padding: 2em 1em;
  margin: 14px;
}

li.wc-block-product-categories-list-item:hover{
	color: #fff;
	background-color: #000;
	border: 1px solid #000;
}


li.wc-block-product-categories-list-item:hover a{
	color: #fff;
}

.new-badge {display: none !important
}
 

.bgtje{background: #358043; color: #fff; padding: 7px 15px;}

details .stk-column-wrapper{margin-left: 0 !important;}

details .stk-column-wrapper:hover{color: #dd0039 !important} 
details .stk-column-wrapper:hover svg{background: #dd0039 !important}

.cwginstock-subscribe-form .panel-primary {
    border-color: #dd0039 !important;
}


.cwginstock-subscribe-form .panel-primary>.panel-heading{
    background-color: #dd0039 !important;
}

.panel-heading h4{
	font-family: Rubik, sans-serif;
    color: #fff;
    text-transform: uppercase;
    font-size: 17px;
    letter-spacing: 2px;
}

.cwg_iagree_checkbox{
	margin-bottom: 25px;
    font-size: 12px;
}

.page-id-15 .kb-form .kb-checkbox-item{
	color: #fff;
	font-size:15px;
	text-transform: uppercase;
	margin-top: 1px;
}

.cwg_iagree_checkbox label{font-size: 13px; text-transform: uppercase;}
.cwgstock_button{background: #000 !important}

.cwginstock-subscribe-form .panel-primary > .panel-heading{border-color:#dd0039 !important }


.single #google-business-reviews-rating{width: 80%; margin: 0 auto; margin-top: 3em;}

.archive .page-description h2.wp-block-heading{
	padding: 10px;
}

.outofstock a.button {background: #24292E !important;} 
.outofstock a.button:hover {background: #dd0039 !important}

li.product img{opacity: 1;	transition: all 1s linear;}
li.product:hover img{opacity: .5; transition: all .5s linear; scale:1.05;}


li.product.outofstock img{opacity: .5;}
li.product.outofstock:hover img{opacity: .75;}


.ct-woo-card-actions a.button{width: 100%!important}


.hero-section .ct-media-container img{
	display: none;
}

.single-post .entry-meta{display: none;}

span.onsale{
 background: #337a40;
  margin: 0 auto;
  text-align: center;
  width: 100%;
  padding: 0;
  left: 0;
  top: 0;
  font-size: 9px;
  padding: 0 10px;

 }

.single-product span.onsale{width: auto;}


.product span.posted-in{
	font-size: 10px;
  text-transform: uppercase; 
  padding: 7px 12px 7px 0px;
}

.product figure{margin: 0 !important}

.product span.posted-in a{
  color: #000;}


.out-of-stock-badge-link
{position: absolute;
  width: 100%;
}

span.onsale.out-of-stock{
	 background:#dd0039;
}


.out-of-stock-badge {
  position: absolute;
  top: 75% !important;
  inset-inline-start: auto !important;
  width: 100%;
  padding: 2em !important; 
  display: none !important;
}

/*hide categorieen main shop page*/
 
.post-type-archive li.product-category:nth-child(10),
.post-type-archive li.product-category:nth-child(11){display: none;}


.woocommerce-variation-description{border: 1px black solid;
  padding: 1em;
  margin-bottom: 2em;
}


h2 .woocommerce-loop-product__link{font-size: 16px !important;}
h2.woocommerce-loop-product__title a{--theme-line-height:14px !important;}


 
#footer-menu .current_page_item a{
	background: #fff;
	color: #000;
}

.powered-by-google{display: none !important;}



li.product-category:hover h2.woocommerce-loop-category__title{background: #fff;}
li.product-category:hover h2.woocommerce-loop-category__title a{color: #000;}

.archive h2.woocommerce-loop-category__title{background: #000;}
.archive h2.woocommerce-loop-category__title:hover{background: #fff;}

.archive h2.woocommerce-loop-category__title a:hover{color: #000;}

.archive h2.woocommerce-loop-category__title a{
  padding: 15px 15px;
  color: #fff;
  display: block;
}

.archive .product-category figure{
	--product-element-spacing: 1px !important;
}

.menu-item a{text-transform: uppercase !important;}


/* MEDIA */

@media screen and (max-width: 768px) {

	.ct-header-trigger{--theme-icon-size: 35px !important;}

	.ct-toggle-close{--theme-icon-size: 21px !important}

	h1.page-title{line-height: 38px;
		padding: 13px 10px;
		font-size: 34px;
	}

	.archive .h3{font-size: 20px !important;}

 
	li.wc-block-product-categories-list-item{width: 100%; margin:0em auto 1em auto; display: block; text-align: center;}

	#offcanvas .ct-panel-inner {
	  background-color: rgba(0, 0, 0, 0.95) !important;
	}


	li.current-menu-item{
		background: #fff; color: #000;display: table !important;
	    padding: 1px 18px;
	}

	li.menu-item{
		margin-bottom: 1em !important;
	}

	li.menu-item a{
		font-size: 16px !important;
	}

	li.menu-item a:hover{color: #dd0039 !important}

	.mobile-menu li.dropdown-active > .ct-sub-menu-parent,
	.mobile-menu li.dropdown-active > .ct-sub-menu-parent{
		color: #fff !important
	}

	ul.sub-menu li a,
	ul.sub-menu span.ct-sub-menu-parent a{color: #000 !important;}


	.dropdown-active {background: #fff !important;}
	.dropdown-active span a{color: #000 !important;}


	#menu-item-27982 {
		margin-top: 2em; 
	}

	#menu-item-4603 a,
	#menu-item-3440 a,
	#menu-item-27982 a,
	#menu-item-27983 a	{ 
		font-size: 14px !important;
		font-weight: normal!important; 
	}


	#menu-item-4603,
	#menu-item-3440,
	#menu-item-27982,
	#menu-item-27983{
		margin-bottom: 0px !important;
	}

	.out-of-stock-badge{display: none !important;}

	.meta-categories a{font-size: 10px; font-weight: normal;}

	[data-products] .product > * {
  margin-bottom: 5px !important;
}


body.archive .product {
  margin-bottom: 0em !important;
}



.stk-column-wrapper h2{font-size: 24px !important}
.stk-column-wrapper h3{font-size: 20px !important}


.page-description h2{font-size: 24px !important}
.page-description h3{font-size: 20px !important}


nav[class*="menu"] li:hover > .ct-menu-link, nav[class*="menu"] li:hover > .ct-sub-menu-parent,
nav[class*="menu"] li:hover > .ct-menu-link svg, nav[class*="menu"] li:hover > .ct-sub-menu-parent svg{
	fill:#fff!important;
}
 
nav[class*="menu"] li.current-menu-item:hover > .ct-sub-menu-parent svg	{fill:#000!important;}



.mobile-menu li:hover > .ct-sub-menu-parent .ct-menu-link:not(.ct-disabled-link), .mobile-menu li:hover > .ct-sub-menu-parent .ct-toggle-dropdown-mobile, .mobile-menu li.dropdown-active > .ct-sub-menu-parent .ct-menu-link:not(.ct-disabled-link), .mobile-menu li.dropdown-active > .ct-sub-menu-parent .ct-toggle-dropdown-mobile, .mobile-menu li[class*="current-menu-"] > .ct-sub-menu-parent .ct-menu-link:not(.ct-disabled-link), .mobile-menu li[class*="current-menu-"] > .ct-sub-menu-parent .ct-toggle-dropdown-mobile {
  color: #dd0039 !important;
}

.mobile-menu[data-submenu-dots="yes"] [class*="children"] > ul li a:not(:empty)::before {
  position: absolute;
  content: "";
  top: calc(50% - 2px);
  inset-inline-start: -31px !important;
  width: 17px !important;
  height: calc(3px*var(--has-indentation, 1));
  opacity: 1 !important;
  border-radius: 5px;
  background: #000;
  transition: opacity .12s cubic-bezier(0.455, 0.03, 0.515, 0.955),background .12s cubic-bezier(0.455, 0.03, 0.515, 0.955),width .12s cubic-bezier(0.455, 0.03, 0.515, 0.955);
}

.mobile-menu[data-submenu-dots="yes"] [class*="children"] > ul {
  padding-inline-start: calc(25px*var(--has-indentation, 1));
}


#menu-item-2526 .dropdown-active span.ct-sub-menu-parent{	margin-left: 10px !important;}
 
 h1,h2,h3{word-wrap: break-word;
  word-break: break-word;
  overflow: hidden;
}

.stk-block-image figure{overflow: auto;}


}



